#version 460

#define Curvature 0.02 //[-0.03 -0.025 -0.02 -0.015 -0.01 -0.005 0.0 0.005 0.01 0.015 0.02 0.025 0.03]

//attributes

in vec3 vaPosition; //vertex position
in vec2 vaUV0; //UVmap
in vec4 vaColor; //vertex colour
in ivec2 vaUV2;//UV map of light light values
in vec3 vaNormal;//normals of block faces
uniform mat3 normalMatrix;


uniform mat4 modelViewMatrix; 
uniform mat4 projectionMatrix;
uniform vec3 cameraPosition;
uniform mat4 gbufferModelViewInverse;

out vec2 texCoord;
out vec3 foliageColor;
out vec2 lightMapCoords;